%global srcname nagiosplugin

Name:           python-%{srcname}
Version:        1.3.3
Release:        1%{?dist}
License:        ZPLv2.1
Summary:        Library for writing Nagios (Icinga) plugins

URL:            https://nagiosplugin.readthedocs.io
Source:         %{pypi_source}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

BuildArch:      noarch

%global _description %{expand:
nagiosplugin is a Python class library which helps writing Nagios (or Icinga)
compatible plugins easily in Python. It cares for much of the boilerplate
code and default logic commonly found in Nagios checks, including:

- Nagios 3 Plugin API compliant parameters and output formatting
- Full Nagios range syntax support
- Automatic threshold checking
- Multiple independend measures
- Custom status line to communicate the main point quickly
- Long output and performance data
- Timeout handling
- Persistent “cookies” to retain state information between check runs
- Resume log file processing at the point where the last run left}

%description %{_description}

%package -n     python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname} %{_description}

%prep
%autosetup -n %{srcname}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{srcname}
%license LICENSE.txt
%doc README.txt
%{python3_sitelib}/nagiosplugin-*.egg-info/
%{python3_sitelib}/nagiosplugin/

%changelog
* Wed Nov 09 2022 Simone Caronni <negativo17@gmail.com> - 1.3.3-1
- Update to 1.3.3.

* Sun Jul 18 2021 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.3.2-1
- Initial package
